<?php
class Paginacao {
    public $itensPorPagina;
    public $linkPagina;
    public $dados;
    public $npaginas;
    public $pgInicio;
    public $pgFim;
    public $limitIni;

    public function fazer() {

        if ($this->itensPorPagina > 0) {
            $total = count($this->dados);
            $this->npaginas = ceil($total / $this->itensPorPagina);

            if (!isset($_GET['pag']) || $_GET['pag'] <= 1) {
                $_GET['pag'] = 1;
            } elseif ($_GET['pag'] > $this->npaginas) {
                $_GET['pag'] = $this->npaginas;
            }

            $this->limitIni = $this->itensPorPagina * ($_GET['pag'] - 1);

            $resto = ($_GET['pag'] % 3);
            if ($resto == 1) {
                $this->pgInicio = $_GET['pag'];
                $this->pgFim = $_GET['pag'] + 2;
            } elseif ($resto == 2) {
                $this->pgInicio = $_GET['pag'] - 1;
                $this->pgFim = $_GET['pag'] + 1;
            } else {
                $this->pgInicio = $_GET['pag'] - 2;
                $this->pgFim = $_GET['pag'];
            }

            $this->pgFim = ($this->pgFim > $this->npaginas) ? $this->npaginas : $this->pgFim;

            return $arrDados = array_slice($this->dados, $this->limitIni, $this->itensPorPagina);
        }
    }

    public function exibir() {
        $class = "";
        if ($this->itensPorPagina > 0) {
            if ($this->npaginas > 1) { ?>
                <div class="paginas">
                <?php
                if ($this->pgInicio > 1) {
                    ?>
                        <div class="setas1">
                            <a href="<?= URLRAIZ . $this->linkPagina ?>/?pag=<?= ($this->pgInicio - 1) ?>"><img src="<?= URLIMG ?>anterior.gif" /></a>
                        </div>
                    <?php
                } else {
                    $class = 'espaco';
                }



                for ($i = $this->pgInicio; $i <= $this->pgFim; $i++) {
                    if ($i == $_GET['pag']) {
                        echo "<div class='nPaginas " . $class . "'><a href='#'>$i</a></div>";
                    } else { ?>
                            <div class="nPaginasB <?php echo $class ?>"><a href="<?= URLRAIZ . $this->linkPagina ?>/?pag=<?= $i ?>"><?= $i ?></a></div>	
                        <?php
                    }
                }



                if ($this->pgFim < $this->npaginas) { ?>
                        <div class="setas">
                            <a href="<?= URLRAIZ . $this->linkPagina ?>/?pag=<?= ($this->pgFim + 1) ?>"><img src="<?= URLIMG ?>proxima.gif" /></a>
                        </div>
                        <?php
                    }
                    ?>

                </div>
                <?php
            }
        }
    }

}
?>